> ## Documentation Index
> Fetch the complete documentation index at: https://api.zenedu.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Отримати каталог автоматизацій

> Повертає доступні події та дії з їхніми цільовими полями.



## OpenAPI

````yaml GET /api/v1/bot/{bot}/automations/catalog
openapi: 3.1.0
info:
  title: Zenedu API v1
  description: >-
    API for managing Telegram bots, subscribers, products, funnels, offers, and
    orders on the Zenedu platform.
  version: 1.0.0
servers:
  - url: https://app.zenedu.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Current user profile
  - name: Bots
    description: Bot management
  - name: Subscribers
    description: Subscriber management
  - name: Orders
    description: Order management
  - name: Products
    description: Product management
  - name: Funnels
    description: Funnel management
  - name: Offers
    description: Offer management
  - name: Links
    description: Link generation
  - name: Files
    description: File downloads
  - name: Zapier
    description: Zapier webhook management
  - name: Webhooks
    description: Account webhook subscriptions
  - name: Payment systems
    description: Account payment methods
  - name: Bot settings
    description: 'Bot configuration: email, branding, integrations, legal documents'
  - name: Commands
    description: Bot menu commands
  - name: Custom fields
    description: Subscriber custom fields
  - name: Folders
    description: Folders for products, funnels, channels and groups
  - name: Slugs
    description: Public link slugs
  - name: Funnel links
    description: Subscription links of a funnel
  - name: Coupons
    description: Coupon management
  - name: Subscriptions
    description: Recurring subscription management
  - name: Tasks
    description: Student task review
  - name: Broadcasts
    description: Broadcast messages
  - name: Automations
    description: Event-based automations
  - name: Affiliate
    description: Affiliate program management
  - name: Shop
    description: Bot shop draft and publication
  - name: Channels
    description: Telegram channels connected to the bot
  - name: Groups
    description: Telegram groups connected to the bot
  - name: Mini-app
    description: Telegram mini app configuration
  - name: Web
    description: Web app configuration
  - name: Telegram files
    description: Telegram file attachments for steps and broadcasts
paths:
  /api/v1/bot/{bot}/automations/catalog:
    get:
      tags:
        - Automations
      summary: Get automation catalog
      description: Returns the available events and actions with their target fields.
      operationId: getAutomationCatalog
      parameters:
        - name: bot
          in: path
          required: true
          description: Bot ID
          schema:
            type: integer
      responses:
        '200':
          description: Automation catalog
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      events:
                        type: array
                        items:
                          $ref: '#/components/schemas/AutomationCatalogEntry'
                      actions:
                        type: array
                        items:
                          $ref: '#/components/schemas/AutomationCatalogEntry'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — lacks access to this bot
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AutomationCatalogEntry:
      type: object
      properties:
        name:
          type: string
          description: Short identifier used in when_event/then_action
        label:
          type: string
          description: Human-readable label
        group:
          type: string
          description: Catalog group
        fields:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                description: Field key
              type:
                type: string
                description: Field type
              label:
                type:
                  - string
                  - 'null'
                description: Field label
              values:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                description: Allowed values, when applicable
        is_pro:
          type: boolean
          description: Whether the event requires Pro (events only)
        any_target_allowed:
          type: boolean
          description: Whether an all/choose target selector applies (events only)
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Validation errors keyed by field name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from the Zenedu dashboard

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.